import java.io.File;
import java.io.IOException;
import java.io.FileNotFoundException;
/**
 * Demo on File class usage
 * 
 * @author Tomáš Pitner 
 * @version Dec 11, 2014
 */
public class Demo {
    public static void main(String[] args) throws IOException
    {
        // access current directory
        File c = new File(".");
        // subdirectory in it
        File d = new File(c, "my-app-dir2");
        
        // create the subdirectory
        d.mkdir();
        
        System.out.println("Exists? " + d.exists()); // does it exist?
        System.out.println("Length of the file="+d.length());
        System.out.println("Time of the last modification="
            + new java.util.Date(d.lastModified()));
            
        System.out.println("Parent="+d.getParent());
        System.out.println("AbsolutePath="+d.getAbsolutePath());
        System.out.println("CanonicalPath="+d.getCanonicalPath());
        
       
        File f = new File(d, "myapp.tmp");
        // create an empty new file
        f.createNewFile();
                
        File g = new File("my-app-dir2");
        File parent = g.getParentFile();
        System.out.println(parent);
        
        //System.out.println(f.getParentFile().getCanonicalPath());
        //System.out.println(parent.getCanonicalPath());

        // delete it
        f.delete();
        
        
    }
}
